#version 430 core

#include "heightfield.fs.common.h.glsl"

uniform sampler2D texDiffuse;  // diffuse texture
uniform sampler2D texLightmap; // light map

void main() {
	float illum = mockupShadow();
	vec3  diff  = texture(texDiffuse,  tes_uvcoords).rgb;
	float light = texture(texLightmap, tes_uvcoords).r;  // light is grayscale
	fragColor = vec4(illum * light * diff, 1.0);
}
