#version 430 core

out vec4 fragColor;

in vec2 uv;

uniform sampler2D tex;
uniform vec3 color;

uniform float globalBrightnessMultiplier = 1.0;

void main() {
	fragColor = vec4(color * texture(tex, uv).r * globalBrightnessMultiplier, 1.0);
}
