#version 430 core

out vec4 fragColor;

in vec2 uv;

uniform sampler2D tex1;
uniform sampler2D tex2;

uniform float globalBrightnessMultiplier = 1.0;

void main() {
	fragColor = vec4(texture(tex1, uv).rgb * texture(tex2, uv).r * globalBrightnessMultiplier, 1.0);
}
