#version 430 core

// draw a 1x1 (x,y) quad, centered at origin

out vec2 uv;

uniform mat4 mvpMat;
uniform vec2 uv_offset;
uniform vec2 uv_scale;

void main() {
	const vec2 v[2][3] = {
	  {vec2(0,0), vec2(1,0), vec2(1,1)},
	  {vec2(0,0), vec2(1,1), vec2(0,1)}
	};

	vec2 v2d = v[gl_InstanceID][gl_VertexID];
	gl_Position = mvpMat * vec4(v2d - vec2(.5,.5), 0.0, 1.0f);
	uv = v2d * uv_scale + uv_offset;
}
