#version 430 core

layout (location=0) out vec4 fragColor;		// shader output

// fragment position & normal & texture coords
in vec3 uvcoords;

layout (location=8)  uniform vec3 eye;				// eye position (camera)

layout (location=102) uniform samplerCube texCubeMap;   // cube map

uniform float globalBrightnessMultiplier = 1.0;

void main()
{
	fragColor = texture(texCubeMap, uvcoords) * vec4(vec3(globalBrightnessMultiplier), 1.0);
}
