#version 430 core

in vec2 uvcoords;

layout (location=0) out vec4 fragColor;		// shader output

uniform sampler2D texGlyph;
uniform vec3 color;

uniform float globalBrightnessMultiplier = 1.0;

void main()
{
	fragColor = vec4(color * globalBrightnessMultiplier, texture(texGlyph, uvcoords).r); // alpha from texture, color from uniform
}
