#version 430 core

// attributes
layout(location = 0) in vec3 position_in;
layout(location = 2) in vec2 uvcoords_in;

// pass through (interpolated) position & normals & uv coordinates
out vec2 uvcoords;

// uniforms
uniform mat4 matMVP; // proj*view*model matrix

void main()
{
	uvcoords = uvcoords_in;
	gl_Position = matMVP * vec4(position_in, 1.0f);
}

