#version 430 core

#include "heightfield.fs.common.h.glsl"

uniform sampler2D texDiffuse;  // diffuse texture
uniform sampler2D texLightmap; // light map
uniform sampler2D texSpecmap;  // specular map

void main() {
	float illum = mockupShadow();
	vec3  diff  = texture(texDiffuse,  tes_uvcoords).rgb;
	float light = texture(texLightmap, tes_uvcoords).r; // light is grayscale
	float spec  = texture(texSpecmap,  tes_uvcoords).r; // spec is grayscale

	fragColor = vec4(illum * (light * diff + spec * vec3(.25)), 1.0);
}
