#version 430 core

out vec2 uv;

uniform mat4 projMat;
uniform vec2 pos, size;
uniform vec2 uv_offset;
uniform vec2 uv_scale;

void main() {
	const vec2 v[2][3] = {
	  {vec2(0,0), vec2(1,0), vec2(1,1)},
	  {vec2(0,0), vec2(1,1), vec2(0,1)}
	};

	gl_Position = projMat * vec4(v[gl_InstanceID][gl_VertexID] * (size - vec2(1,1)) + pos, 0.0f, 1.0f);
	uv = v[gl_InstanceID][gl_VertexID] * uv_scale + uv_offset;
}
