#version 430 core

// attributes
layout(location = 0) in vec3 position_in;

// pass through (interpolated) position & normals & uv coordinates
out vec3 uvcoords;

// uniforms
uniform mat4 matMVP; // proj*view*model matrix

void main()
{
	uvcoords = position_in;
	gl_Position = (matMVP * vec4(position_in, 1.0f)).xyww; // set z = w (see learnopengl.com)
}

