#version 430 core

layout (location=0) out vec4 fragColor;		// shader output

in vec2 uvcoords;

layout (location=100) uniform sampler2D   texDiffColor; // diffuse color texture

uniform float globalBrightnessMultiplier = 1.0;
uniform vec3 color;

void main()
{
	fragColor = texture(texDiffColor, uvcoords) * vec4(color * globalBrightnessMultiplier, 1.0);
}
